org.apache.tapestry5.corelib.pages

## Class ExceptionReport.ThreadInfo

- java.lang.Object
- - org.apache.tapestry5.corelib.pages.ExceptionReport.ThreadInfo

- All Implemented Interfaces:
    Comparable<ExceptionReport.ThreadInfo>
  Enclosing class:
    ExceptionReport

      public class ExceptionReport.ThreadInfo
      extends Object
      implements Comparable<ExceptionReport.ThreadInfo>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `className`
    `String` | `flags`
    `ThreadGroup` | `group`
    `String` | `name`
    `String` | `state`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExceptionReport.ThreadInfo(String className, String name, String state, String flags, ThreadGroup group)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(ExceptionReport.ThreadInfo o)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### className

          public final String className

    - #### name

          public final String name

    - #### state

          public final String state

    - #### flags

          public final String flags

    - #### group

          public final ThreadGroup group

  - ### Constructor Detail

    - #### ExceptionReport.ThreadInfo

          public ExceptionReport.ThreadInfo(String className,
                                    String name,
                                    String state,
                                    String flags,
                                    ThreadGroup group)

  - ### Method Detail

    - #### compareTo

          public int compareTo(ExceptionReport.ThreadInfo o)

      Specified by:
        `compareTo` in interface `Comparable<ExceptionReport.ThreadInfo>`

${project.version} - Copyright © 2003-2014 The Apache Software Foundation.